Update organization properties
curl --request PATCH \
--url https://api.pipecat.daily.co/v1/properties \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"defaultRegion": "eu-central"
}
'import requests
url = "https://api.pipecat.daily.co/v1/properties"
payload = { "defaultRegion": "eu-central" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({defaultRegion: 'eu-central'})
};
fetch('https://api.pipecat.daily.co/v1/properties', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"properties": {
"defaultRegion": {
"description": "Default region for new service deployments",
"type": "string",
"readOnly": false,
"currentValue": "eu-central",
"default": "us-west",
"availableValues": [
"us-west",
"us-east",
"eu-central",
"ap-south"
]
}
}
}Organization
Update Organization Properties
Update configurable properties for your organization, such as the default deployment region.
PATCH
/
properties
Update organization properties
Authorizations
Authentication requires a Pipecat Cloud Private API token.
Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.
Body
application/json
Default region for new service deployments. Must be one of the available regions for your organization.
Example:
"us-west"
Response
Properties successfully updated
Show child attributes
Show child attributes
⌘I